// fullcalendar overrides
.fc--project-management-view {
	--pm-event-base-height: 48px;
	--pm-event-gap: 1px;

	&.fc {
		margin-top: 1.5em;
		--fc-border-color: var(--border-color);
	}

	.fc-event {
		border-radius: var(--border-radius-sm);
		align-items: flex-start;
	}
	.fc-timeline-event {
		margin-bottom: var(--pm-event-gap); // Gap between events
	}
	.fc-timeline-event-harness {
		padding: 0px 1px; // Margin with the cell
		transition: all 100ms ease;
		transition-property: top, left, right;
		transition-duration: 0s; // disable transition on initial render
	}
	.fc-event-main {
		padding: 0px 2px; // Margin inside the event
	}

	.fc-scrollgrid {
		border-width: 0px !important;
	}
	.fc-col-header-cell {
		border-bottom-width: 0px !important;
	}
	.fc-scrollgrid-section > * {
		border-width: 0px !important;
	}

	// match(/gridmonth|list/)
	.fc-view:not(:is([class*=gridmonth i], [class*=list i])) {
		.fc-event {
			height: var(--pm-event-height) !important;
		}
	}

	.fc-col-header-cell {
		// Column title (e.g. "Mon 1")
		padding: 2px !important;
		text-align: center !important;
		text-transform: capitalize !important;
	}

	.fc-event-dragging {
		// Disable transition when dragging
		transition-duration: 150ms;
		:root:active & {
			transition-duration: 0s !important;
		}
	}

	// Event Styles
	// .pm-style--solid {}

	.pm-style--border {
		--fc-event-bg-color: var(--fg-color);
		--fc-event-text-color: var(--fc-event-border-color);
		border-width: 2px;
	}

	.pm-style--dashed {
		@extend .pm-style--border;
		border-style: dashed;
	}

	.pm-style--striped {
		border: 0px;
		--fc-event-border-color: transparent;
		text-shadow:
			0px 0px 4px white,
			0px 0px 4px white,
			1px 0px 4px white,
			0px 1px 4px white;
		color: black; // strong black even in dark mode

		--smoothing: 1px;
		--width: 1px;
		--blank: 1px;
		--c1: hsla(0, 0%, 100%, 0.6);
		--c2: hsla(0, 0%, 100%, 0.9);
		background-image: repeating-linear-gradient(
			111deg,
			var(--c1) 0px,
			var(--c2) calc(var(--smoothing)),
			var(--c2) calc(var(--smoothing) + var(--blank)),
			var(--c1) calc(2 * var(--smoothing) + var(--blank)),
			var(--c1) calc(2 * var(--smoothing) + var(--blank) + var(--width))
		);
	}
}
